Skip to main content
GET
List transactions

Authorizations

X-App-Id
string
header
required

App ID for authentication

X-Api-Key
string
header
required

API Key for authentication

Query Parameters

status
enum<string>
default:settled

The status of the transactions to fetch

Available options:
settled,
pending
customer_uuid
string<uuid>

The UUID of the customer to filter transactions by

customer_group_uuid
string<uuid>

The UUID of the customer group to filter transactions by

date_range
string

Filter by date range. Format: 'MM-DD-YYYY,MM-DD-YYYY' (both dates inclusive). If only one date is provided, it is used as both the start and end.

Example:

"06-01-2024,06-11-2025"

amount_range
string

Filter by amount range, in cents. Format: '[min,max]'. Use '[200,]' for at-least, '[,200]' for at-most, '[100,500]' for a range.

Example:

"[100,500]"

transaction_type
string

One or more transaction types as a comma-separated string. Allowed values: ach, card, check, wire, other_payment, credit_note, debit_note, chargeback, refund. Example: 'ach,wire'.

Example:

"ach,wire"

keyword
string

Search term.

page
integer
default:1

Page number for pagination.

per_page
integer
default:20

Number of records per page.

Response

Successful operation

transactions
object[]
meta
object